Bug 1437449 - [RFE] update-crypto-policies usability: don't accepts profiles only in upper case
Summary: [RFE] update-crypto-policies usability: don't accepts profiles only in upper ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: crypto-policies
Version: rawhide
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Red Hat Crypto Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1591620
TreeView+ depends on / blocked
 
Reported: 2017-03-30 10:56 UTC by Patrik Kis
Modified: 2018-08-01 09:14 UTC (History)
2 users (show)

Fixed In Version: crypto-policies-20180730-1.git9d9f21d
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-01 09:09:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Patrik Kis 2017-03-30 10:56:16 UTC
Description of problem:

It's unconvivient and not user friendly to type the profile name in UPPER CASE, when using the --set option.
The tool should accept also in lowercase or case insensitive.


Version-Release number of selected component (if applicable):

crypto-policies-20170214-2.gitf3018dd.fc26.noarch

Comment 1 Fedora End Of Life 2018-05-03 08:45:33 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.